// on demande à bodymovin de charger l'animation
var animation = bodymovin.loadAnimation({

  // conteneur de l'animation, obligatoire
  container: document.getElementById('mon-animation'),

  // chemin vers le fichier JSON, obligatoire
  path: 'temps.json',

  // moteur de rendu (svg, canvas ou html), obligatoire
  renderer: 'svg',

  // si l'animation est une boucle
  loop: true,

  // si l'animation se lance autmatiquement
  autoplay: true,

  // nom permettant de référencer l'expression
  name: "Hello World",
})

animation.addEventListener( 'DOMLoaded', function () {
   console.info( 'vitesse 3x = clic de   0 à  50' );
   console.info( '           = clic de 550 à 600' );
   console.info( 'vitesse 2x = clic de 100 à 400' );
   console.info( 'vitesse 1x = clic de  51 à  99' );
   console.info( 'vitesse 1x = clic de 401 à 549' );
   animation.wrapper.addEventListener('click', function () {

      var frame_actuelle = animation.currentFrame + animation.firstFrame;

      // si on est entre la frame 100 ET la frame 400 incluses
      // ou plutôt : si la frame actuelle >= 100 et <= 400
      if ( frame_actuelle >= 100 && frame_actuelle <= 400 ) {
         console.info('vitesse : 2x');
         animation.setSpeed( 2 );

      // autre test si le premier n'est pas vrai
      // si la frame courant est >= 0 ET <= 50
      // OU (||)
      // si entre 550 et 600 incluses
      } else if ( frame_actuelle >= 0 && frame_actuelle <= 50 || frame_actuelle >= 550 && frame_actuelle <= 600) {
         console.info('vitesse : 3x');
         animation.setSpeed( 3 );

      // autres cas :
      } else {
         console.info('vitesse : 1x');
         animation.setSpeed( 1 );
      }
   });
} )
